Page MenuHomePhabricator

Use HTMLCacheUpdateJob in Cognate extension
Closed, ResolvedPublic

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolvedaude
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
Resolvedaude
ResolvedNone
OpenNone

Event Timeline

Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.Jan 25 2017, 10:34 AM
Addshore added a comment.EditedJan 25 2017, 12:43 PM

So, the usage of HTMLCacheUpdateJob would require the pageId, nsId and title dbkey of the title on the remote wiki to be known when constructed.
The LocalJobSubmitJob is run on a single wiktionary and fires CacheUpdateJobs out to the other wikis.
This means that we can not make a HTMLCacheUpdateJob directly within the LocalJobSubmitJob as we do not know the pageid of the page on the other wiki.

  1. Do a lookup of the pageid on the remote wiki within our LocalJobSubmitJob, this seems a bit ugly :/
  2. Keep our CacheUpdateJob (maybe rename it) and make this submit another HTMLCacheUpdateJob. This means there is an extra job in the chain :/
    1. Keep our CacheUpdateJob and call the construct and run the HTMLCacheUpdateJob from within!
  3. CacheUpdateJob update the page_touched field? This doesn't solve what was mentioned in the review ticket regarding ease of forward compat with core caching
  4. Extend HTMLCacheUpdateJob and override the run method and constructor. This would allow us to pass in the title that we know and do the pageid lookup later in the job.
  5. Change HTMLCacheUpdateJob to be able to purge titles without requiring the pageid

2.A seems about right..

Change 334055 had a related patch set uploaded (by Addshore):
Use HTMLCacheUpdateJob internally

https://gerrit.wikimedia.org/r/334055

Addshore moved this task from Next to Active 🚁 on the User-Addshore board.
Addshore moved this task from incoming to in progress on the Wikidata board.Jan 31 2017, 11:31 AM

Change 334055 merged by jenkins-bot:
Use HTMLCacheUpdateJob internally

https://gerrit.wikimedia.org/r/334055

Addshore closed this task as Resolved.Feb 21 2017, 9:57 AM
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
Addshore moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Mar 9 2017, 9:40 AM